AWS Cloud Connectivity - Credentials - Remplacer (PUT)
Cette page d?crit l'op?ration Remplacer (PUT) de l'API AWS Cloud Connectivity. Utilisez un jeton JWT bearer valide.
PUT https://ope-obs.apibackbone.orange.com/evolutionplatform/aws/api/v1/projects/{projectId}/aws/credentials/{id}
Authorization: Bearer YOUR_ACCESS_TOKEN
Param?tres
| Param?tre | Emplacement | Obligatoire | Type / valeur par d?faut |
|---|---|---|---|
id | path | Yes | string uuid |
projectId | path | Yes | string uuid |
Corps de la requ?te
| Champ JSON | Obligatoire | Type / remarques |
|---|---|---|
name | Yes | string: aws credentials name |
description | No | string: aws credentials description |
apiKey | Yes | string: apiKey on aws |
secretKey | Yes | string: secretKey on aws |
expirationDate | No | string date: expiration date of the aws credentials |
R?ponse
R?ponse de succ?s : 200. ok Response schema: object.